> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get Connect log

GET https://demo.docusign.net/restapi/v2.1/accounts/{accountId}/connect/logs

Retrieves a list of the 100 most recent Connect log entries for your account.

To use this method, you must be an account administrator
and Connect must be enabled on your account.

The `enableLog` setting in the Connect configuration must be set to **true** to enable logging. Log entries are deleted after 15 days.

Reference: https://developers.docusign.com/docs/esign-rest-api/reference/connect/connectevents/list

## Authentication

- `Authorization` header (required) (prefixed with ` Bearer  `) — OAuth 2.0 access token (JWT or auth-code grant). Sent as `Authorization: Bearer <token>` on every request except `GET /v2.1` and `GET /service_information`, which are public discovery endpoints.

## Servers

- `https://demo.docusign.net/restapi` (Demo, default)
- `https://www.docusign.net/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The external account number (int) or account ID Guid.

### Query parameters

- `from_date` (string, optional) — The start date for a date range in UTC DateTime format. **Note:** If this property is null, no date filtering is applied.
- `to_date` (string, optional) — The end of a search date range in UTC DateTime format. When you use this parameter, only templates created up to this date and time are returned. **Note:** If this property is null, the value defaults to the current date.

## Response

### 200

Successful response.

- `failures` (list of connectLog, optional) — An array of containing failure information from the Connect failure log.
- `logs` (list of connectLog, optional) — A list of Connect general logs.
- `totalRecords` (string, optional) — The count of records in the log list.
- `type` (string, optional) — The type of this tab. Values are: - `Approve` - `CheckBox` - `Company` - `Date` - `DateSigned` - `Decline` - `Email` - `EmailAddress` - `EnvelopeId` - `FirstName` - `Formula` - `FullName` - `InitialHere` - `InitialHereOptional` - `LastName` - `List` - `Note` - `Number` - `Radio` - `SignerAttachment` - `SignHere` - `SignHereOptional` - `Ssn` - `Text` - `Title` - `Zip5` - `Zip5Dash4`

## Errors

### 400 Bad Request Error

Error encountered.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Types

### connectLog

Contains information about a Connect log entry.

- `accountId` (string, optional) — The account ID associated with the envelope.
- `configUrl` (string, optional) — The web address of the listener or Retrieving Service end point for Connect.
- `connectDebugLog` (list of connectDebugLog, optional) — A complex element containing information about the Connect configuration, error details, date/time, description and payload. This information is included in the response only when the `additional_info` query is set to **true.** This additional information is only available when retrieving general logs with [ConnectEvents:get](/docs/esign-rest-api/reference/connect/connectevents/get/), but not when retrieving failure logs with [ConnectEvents:listFailures](/docs/esign-rest-api/reference/connect/connectevents/listfailures/).
- `connectId` (string, optional) — The ID of the Connect configuration that failed. If an account has multiple Connect configurations, this value is used to look up the Connect configuration for the failed post.
- `created` (string, optional) — The UTC DateTime when the Connect post was created.
- `email` (string, optional) — The email address of the envelope sender.
- `envelopeId` (string, optional) — The ID of the envelope that failed to post.
- `error` (string, optional) — The error that caused the Connect post to fail.
- `failureId` (string, optional) — The failure log ID for the failure.
- `failureUri` (string, optional) — The URI for the Connect post failure.
- `lastTry` (string, optional) — The UTC DateTime of the last attempt to post.
- `logId` (string, optional) — The Connect log ID for the entry.
- `logUri` (string, optional) — The URI for the Connect log entry.
- `retryCount` (string, optional) — The number of times the Connect post has been retried.
- `retryUri` (string, optional) — A URI that you can use to retry to publish the Connect post.
- `status` (string, optional) — The envelope status for the Connect post. Possible values are: - `Any` - `Voided` - `Created` - `Deleted` - `Sent` - `Delivered` - `Signed` - `Completed` - `Declined` - `TimedOut` - `Template` - `Processing` For details about these statuses, see [Envelope Status Code Descriptions](/docs/esign-rest-api/esign101/rules-and-limits/responses/).
- `subject` (string, optional) — The subject of the envelope.
- `userName` (string, optional) — The name of the sender of the envelope.

### connectDebugLog

- `connectConfig` (string, optional) — The name of the Connect configuration.
- `errorDetails` (errorDetails, optional) — This object describes errors that occur. It is only valid for responses, and ignored in requests.
- `eventDateTime` (string, optional) — The UTC date and time of the event.
- `eventDescription` (string, optional) — A description of the event.
- `payload` (string, optional) — Log output.

### errorDetails

This object describes errors that occur. It is only valid for responses, and ignored in requests.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.

## Examples

**Response**

```json
{
  "failures": [
    {
      "accountId": "sample string 1",
      "configUrl": "sample string 2",
      "connectDebugLog": [
        {
          "connectConfig": "sample string 1",
          "errorDetails": {
            "errorCode": "sample string 1",
            "message": "sample string 2"
          },
          "eventDateTime": "sample string 2",
          "eventDescription": "sample string 3",
          "payload": "sample string 4"
        }
      ],
      "connectId": "sample string 3",
      "created": "sample string 4",
      "email": "sample string 5",
      "envelopeId": "sample string 6",
      "error": "sample string 7",
      "failureId": "sample string 8",
      "failureUri": "sample string 9",
      "lastTry": "sample string 10",
      "logId": "sample string 11",
      "logUri": "sample string 12",
      "retryCount": "sample string 13",
      "retryUri": "sample string 14",
      "status": "sample string 15",
      "subject": "sample string 16",
      "userName": "sample string 17"
    }
  ],
  "logs": [
    {}
  ],
  "totalRecords": "sample string 1",
  "type": "sample string 2"
}
```